# Class SSIExec

java.lang.Object
org.apache.catalina.ssi.SSIExec

All Implemented Interfaces:
  `SSICommand`

public class SSIExec extends Object implements SSICommand
Implements the Server-side #exec command.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`BUFFER_SIZE`
Size of the buffer used for reading command output.
`protected final SSIInclude`
`ssiInclude`
Helper instance for processing CGI includes.

## Constructor Summary

Constructors
Constructor
Description
`SSIExec()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
Processes the exec directive to run CGI scripts or system commands.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ssiInclude

protected final SSIInclude ssiInclude
Helper instance for processing CGI includes.

### BUFFER_SIZE

protected static final int BUFFER_SIZE
Size of the buffer used for reading command output.

See Also:
  - Constant Field Values

## Constructor Details

### SSIExec

public SSIExec()
Default constructor.

## Method Details

### process

public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
Processes the exec directive to run CGI scripts or system commands.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands